org.eclipse.eef.core.api

## Class EEFExpressionUtils.EEFList

- java.lang.Object
- - org.eclipse.eef.core.api.EEFExpressionUtils.EEFList

Enclosing class:
  EEFExpressionUtils

    public final class EEFExpressionUtils.EEFList
    extends java.lang.Object

Utility class containing the constants related to the list widgets.

### Field Summary

Fields
`static java.lang.String` `DOUBLE_CLICK` The value used to indicate a double click.
`static java.lang.String` `ON_CLICK_EVENT_KIND` The name of the variable used to indicate the kind of click event.
`static java.lang.String` `SELECTION` The name of the variable selection.
`static java.lang.String` `SINGLE_CLICK` The value used to indicate a single click.
`static java.lang.String` `VALUE` The name of the variable value.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VALUE

    public static final java.lang.String VALUE

The name of the variable value.

See Also:
  Constant Field Values

#### SELECTION

    public static final java.lang.String SELECTION

The name of the variable selection.

See Also:
  Constant Field Values

#### ON_CLICK_EVENT_KIND

    public static final java.lang.String ON_CLICK_EVENT_KIND

The name of the variable used to indicate the kind of click event.

See Also:
  Constant Field Values

#### SINGLE_CLICK

    public static final java.lang.String SINGLE_CLICK

The value used to indicate a single click.

See Also:
  Constant Field Values

#### DOUBLE_CLICK

    public static final java.lang.String DOUBLE_CLICK

The value used to indicate a double click.

See Also:
  Constant Field Values